LINUX.ORG.RU

Выпущен HPLIP 3.18

 , ,


2

2

Выпущен драйвер HPLIP 3.18. По сравнению с предыдущей версией драйвера (3.17.11) изменилось следующее:

Добавлена поддержка дистрибутивов Linux:

  • Manjaro Linux 17.1.4 (64 bit)
  • Fedora 27 (64 bit)
  • Linux Mint 18.3 (32 bit и 64 bit)

Исправлены баги:

  • 1736221 : Архив с исходными кодами hplip-3.17.11 по ошибке содержит в себе прекомпилированные бинарники
  • 1741214 : scan.py - после обновления python-pillow до 4.2.0, результат сканирования не может быть сохранён как JPEG

Добавлена поддержка новых принтеров:

  • HP DesignJet Z2600 PostScript
  • HP DesignJet Z5600 PostScript
  • HP PageWide XL 8000ps Printer
  • HP PageWide XL 8000 Blueprinter
  • HP PageWide XL 5000 Printer
  • HP PageWide XL 5000 MFP
  • HP PageWide XL 5000 Blueprinter
  • HP PageWide XL 4500 Printer
  • HP PageWide XL 4500 MFP
  • HP PageWide XL 4000 Printer
  • HP PageWide XL 4000 MFP
  • HP PageWide XL 5100ps
  • HP PageWide XL 5100ps MFP
  • HP PageWide XL 5100ps MFP Blueprinter
  • HP PageWide XL 6000ps
  • HP PageWide XL 6000ps MFP

>>> Подробности

anonymous

Проверено: Shaman007 ()

Начиная с пятого принтера, каждую вторую строчку можно убрать. И в скобках указать что-то вроде (Printer or MFP)

anonymous ()

Manjaro Linux 17.1.4 (64 bit)

А вот это круто

Singularity ★★★★ ()

кстати, а что там у них для сканеров?

Ничего. По буквам: Николай, Иван, Харитон, Ульяна, Яков.

te111011010 ()

Не 3.18, а 3.18.3. И выпущен он уже хрен знает сколько времени назад, так что это не новость.

slovazap ★★★★★ ()
Ответ на: комментарий от te111011010

А еще остались сканеры не в составе МФУ ?

x905 ★★★★★ ()

Добавлена поддержка дистрибутивов Linux:

В чём заключается поддержка?

nvl ★★ ()
Ответ на: комментарий от x905

Должны быть. Во-первых, профессиональные. Во-вторых, как сканировать, если ты купил отдельный принтер?

te111011010 ()
Ответ на: комментарий от te111011010

Должны, но проект hplip никогда не поддерживал серию scanjet. А почему нет отдельно драйверов - уже другой вопрос. Если сканер не поддерживается sane, то тогда, похоже, им нативный совсем не воспользоваться.

Ну а если ты не конченый ССЗБ, то перед покупкой поинтересуйся, поддерживается ли работа выбранного устройства в используемой тобой ос.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)

чо linux даже canon не поддерживает ?
чо кто в москве живёт можете энкодерную ленту ссобой купить когда в мою сторону поедете ото так она 50р стоит а переслать по почте очень дорого а у нас в городе нету их.

zoloz ()
Последнее исправление: zoloz (всего исправлений: 1)

А где HP Envy 110 ?

Самый тру мфу по дизайну! Хоть и струйный :(

vasya_pupkin ★★★★★ ()

Интересно как оно будет работать конечно, но пока, для своего HP-Laser-Jet P1005 использую foo2hp, оно надежнее работает и проще.

papin-aziat ★★ ()

Интересно если написано PostScript то напса ему HPLIP? Или они пихают надпись для понта?

demrnd ()
Ответ на: комментарий от zoloz

чо linux даже canon не поддерживает ?

Canon — единственный из популярных производителей принтеров, который не пишет драйверы для linux. Epson, HP и brother вроде ещё пишут.

te111011010 ()

Криокамеры дали течь? Оно даже в дебиане еще с 12 марта есть.

Проверено: Shaman007

теперь все ясно

anonymous ()
Ответ на: комментарий от te111011010

Canon — единственный из популярных производителей принтеров, который не пишет драйверы для linux

главное что дрова на сайте есть, а кто там им их пишет - до лампочки...

anonymous ()

мой HP LJ 6L не поломали снова? А то пару раз откатываться приходилось...

drfaust ★★★★★ ()
Ответ на: комментарий от te111011010

XSane жи начинает видеть ёчпи скаканер после установки липа.

deep-purple ★★★★★ ()

Архив с исходными кодами hplip-3.17.11

А hplip полностью опенсорсный? Помнится, мне кто-то доказывал обратное.

hobbit ★★★★★ ()
Ответ на: комментарий от hobbit

большинство принтеров требует проприетарный плагин, тем, которые не требуют, тем hplip не нужен, достаточно hpijs или вообще дефолт cups/lpd.

slapin ★★★★★ ()

а чо эта ваще такое

ньюсмейкеры совсем вялые какието стали

anonymous ()
Ответ на: а чо эта ваще такое от anonymous

Re: а чо эта ваще такое

Я сначала написал что это, но аппрувер удалил. Смотри «историю правок».

anonymous ()
Ответ на: комментарий от te111011010

на многих HP МФУ можно через служебный веб-интерфейс сканировать, без использования sane.

foxy_ant ()
Ответ на: комментарий от te111011010

Телефоном с помощью Adobe Scan на ровной поверхности.

Lowes ★★ ()
Ответ на: комментарий от slovazap

Не 3.18, а 3.18.3.

Версий .0, .1 и .2 не было. Мне пришлось пойти на хитрость, сократив номер версии до 3.18. Потому что наши модераторы любят отклонять новости по причине «минорщина», не разобравшись в вопросе

И выпущен он уже хрен знает сколько времени назад, так что это не новость.

Ох уж эти цифродрочеры. Я ворда 97-го - и одного процента возможностей не использую, не говоря уже об остальных компонентах «офиса»...

anonymous ()
Ответ на: комментарий от anonymous

Версий .0, .1 и .2 не было.

Я без вас в курсе.

Мне пришлось пойти на хитрость, сократив номер версии до 3.18. Потому что наши модераторы любят отклонять новости по причине «минорщина», не разобравшись в вопросе

Т.е. вы сознательно наврали и ввели пользователей в заблуждение.

slovazap ★★★★★ ()
Ответ на: комментарий от foxy_ant

Я спросил, что делать тем, у кого есть принтер без сканера. Покупать ещё и МФУ, чтобы использовать только как сканер?

te111011010 ()
Ответ на: комментарий от te111011010

Я когда-то купил МФУ HP, а старый принтер отвёз тёще в деревню, и сколько-то он ещё прослужил, пока картриджи (Canon BC-02) не перестали выпускать.

Но да, проблема отдельных сканеров существует, есть ещё слайд-сканеры, это вообще отдельная песня...

hobbit ★★★★★ ()
Последнее исправление: hobbit (всего исправлений: 1)
Ответ на: комментарий от te111011010

Покупать ещё и МФУ, чтобы использовать только как сканер?

ну смотря что требуется.

Дешевый МФУ с поддержкой онтопика стоит 2000 рэ

За такие деньги сканер просто не купить...

anonymous ()
Ответ на: комментарий от te111011010

Canon'овские башни работают без всяких специальных драйверов, а остальные их «принтеры» вряд ли стоят внимания. Дома хороши Brother, ну и HP если очень хочется.

slapin ★★★★★ ()
Ответ на: комментарий от Xintrea

У меня с 1010, 1012 и 1015 всё норм (закупился ими в 2003, а ты, я так понимаю, в 2005)

anonymous ()
Ответ на: комментарий от te111011010

Canon — единственный из популярных производителей принтеров, который не пишет драйверы для linux

Но он пишет! К 2016 они даже окончательно решили все проблемы с 1120 и им теперь можно пользоваться :)

redgremlin ★★★★★ ()
Ответ на: комментарий от redgremlin

Не знаю, не знаю. Я прикидывался обычным пользователем и ставил на свежую систему и свободные дрова из репозитария, и hplip. И то и другое работали в лучшем случае только после установки. При последующих включениях принтер уже не работал. И так не у меня одного, весь интернет забит этой проблемой.

Xintrea ★★★★★ ()
Ответ на: комментарий от redgremlin

может я не там смотрю но на мой «Canon PIXMA MP260» вроде нету

zoloz ()
Ответ на: комментарий от Xintrea

Как-то долго, потому, что у меня лет 11 назад работал 1018, что то же самое. Использовал foo2zjs. Из сна только выходить не умел, емнип. С hplip не помню чем закончилось, что-то я с ядром лет 5 назад намутил, а потом к тому компу не подходил, стоит выключенный.

grem ★★★★★ ()
Ответ на: комментарий от x905

Сканеры в МФУ очень плохие по качеству. Чисто для офиса сгодятся, какую-нибудь накладную отсканировать и переслать, но не более...

roiman ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.